import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='django-crossbar',
    version='0.1',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        'django>=1.7',
        'celery>=3.1.10',
        'django-celery>=3.1.10',
        'crossbar>=0.14.0',
        'simplejson>=3.8.2',
        'six>=1.10.0',
        'txCelery>=1.0.2',
    ],
    license='BSD License',  # example license
    description='Crossbar.io Integration for Django.',
    long_description=README,
    url='https://git.atm4coin.com/root/django-crossbar/',
    author='tshabs',
    author_email='yourname@example.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',  # example license
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        # Replace these appropriately if you are stuck on Python 2.
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
